SUPERTUX2(6)

NAME
supertux2 - preview release of SuperTux Milestone 2, a classic style 2D platform game

SYNOPSIS
supertux2 [options]
supertux2 [options] level.stl
supertux2 [options] worldmap.stwm

DESCRIPTION
SuperTux is a classic style 2D platform game. Run and jump through multiple worlds, fighting off enemies by jumping on them, bumping them from below or tossing objects at them, grabbing power-ups and other stuff on the way.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-f, --fullscreen
    Run in fullscreen mode

-w, --window
    Run in window mode

-g, --geometry WIDTHxHEIGHT
    Run SuperTux in given resolution (eg. -g 800x600)

-a, --aspect WIDTH:HEIGHT
    Run SuperTux with given aspect ratio (eg. -a 4:3)

-d, --default
    Reset video settings to default values (-g 800x600 -a auto -w)

--renderer RENDERER
    Render the game using the specified video renderer. Valid values are sdl, opengl, and auto (the default).

--disable-sfx
    Disable sound effects

--disable-music
    Disable music

--help
    Show this help message

--version
    Display SuperTux version and quit

--console
    Enable ingame scripting console

--noconsole
    Disable ingame scripting console

--show-fps
    Display framerate in levels

--no-show-fps
    Do not display framerate in levels

--record-demo FILE LEVEL
    Record a demo to FILE

--play-demo FILE LEVEL
    Play a recorded demo

ENVIRONMENT

SUPERTUX_LANG
    Overrides locale detection and forces locale to given value, e.g. "de_DE".

FILES

~/.supertux2
    Contains configuration and savegames. Also acts as an overlay of the SuperTux game data path: Files placed here, as well as contents of Zip archives in this directory, will override or supplement game data files.

EXAMPLES
To play level /tmp/mylevel.stl in a window of size 800x600, run the program like this:

    supertux2 --window --geometry 800x600 /tmp/mylevel.stl

To play a previously recorded demo /tmp/mylevel.demo of level /tmp/mylevel.stl, run SuperTux like this:

    supertux2 --play-demo /tmp/mylevel.demo /tmp/mylevel.stl

Custom-made levels can be conveniently stored in the overlay data folder.

~/.supertux2/levels/sample_collection/level01.stl
    (supertux-level
      (version 2)
      (name (_ "Sample Level"))
      (author "Myself")
      ...

Make sure to also create an "info" file, so the collection will be recognized by SuperTux.

~/.supertux2/levels/sample_collection/info
    ;SuperTux-Level-Subset
    (supertux-level-subset
      (title "Sample Collection")
      (description "")
    )

For easier distribution, the level collection can be bundled in a Zip archive.

~/.supertux2/sample_collection.zip
    levels/sample_collection/info
    levels/sample_collection/level01.stl
     ...

BUGS
This is a development version, so expect plenty of bugs.

AUTHOR
This manual page was written by the SuperTux Devel Team and is placed in the public domain.